org.flexdock.perspective

## Class RestorationManager

- java.lang.Object
- - org.flexdock.perspective.RestorationManager

-     public class RestorationManager
      extends java.lang.Object

  Author:
    Christopher Butler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHandler(RestorationHandler handler)`
    `static RestorationManager` | `getInstance()`
    `static java.awt.Component` | `getRestoreContainer(Dockable dockable)`
    `static RootWindow` | `getRestoreWindow(Dockable dockable)`
    `boolean` | `removeHandler(RestorationHandler handler)`
    `boolean` | `restore(Dockable dockable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static RestorationManager getInstance()

    - #### addHandler

          public void addHandler(RestorationHandler handler)

    - #### removeHandler

          public boolean removeHandler(RestorationHandler handler)

    - #### restore

          public boolean restore(Dockable dockable)

    - #### getRestoreWindow

          public static RootWindow getRestoreWindow(Dockable dockable)

    - #### getRestoreContainer

          public static java.awt.Component getRestoreContainer(Dockable dockable)